<?php

namespace XLite\Module\EdB\LibrairieC\View\Model;
  
class Authorx extends \XLite\View\Model\AModel
{
    protected $schemaDefault = array(
        'name' => array(
            self::SCHEMA_CLASS    => 'XLite\View\FormField\Input\Text',
            self::SCHEMA_LABEL    => 'Authorx Name',
            self::SCHEMA_REQUIRED => true,
        ),
       'image' => array(
            self::SCHEMA_CLASS    => 'XLite\View\FormField\FileUploader\Image',
            self::SCHEMA_LABEL    => 'Image',
            self::SCHEMA_REQUIRED => false,
       ),
    );

    public function getModelId()
    {
        return \XLite\Core\Request::getInstance()->authorx_id;
    }
 
    protected function getDefaultModelObject()
    {
        $model = $this->getModelId()
            ? \XLite\Core\Database::getRepo('XLite\Module\EdB\LibrairieC\Model\Authorx')->find($this->getModelId())
            : null;
  
        return $model ?: new \XLite\Module\EdB\LibrairieC\Model\Authorx;
    }

    protected function getFormClass()
    {
        return '\XLite\Module\EdB\LibrairieC\View\Form\Model\Authorx';
    }
}
